: TB의 SNS 이야기 :: 모든 iOS 5 탈옥에서 무료로 쓸 수 있는 Siri 포트 등장!



이통사(LTE)와 삼성의 이해관계가 맞물려 유독 한국에서는 고전을 면치 못하는 아이폰4S의 전세계 스마트폰 판매량 1위 견인차 역할을 하는 중인 Siri를 합법적으로 그것도 무료로 사용할 수 있는 Cydia Tweak이 스토어에 등록됐습니다.

Grant Paul (a.k.a ‘chpwn’)과 Ryan Petrich 로 알려진 두 개발자는 A5 프로세서가 탑재된 iDevice(아이패드2, 아이폰4S)를 제외한 모든 iDevice에서 Siri를 사용할 수 있는 "Spire"라는 트윅을 배포했습니다.(개발자 블로그 상세소개)

- 지원기종 -

아이폰4
아이폰3GS
아이팟터치4세대
아이팟터치3세대
아이패드1

Siri를 사용하기 위해서는 iOS 5.X 이상의 OS가 필요합니다. 따라서, 아이패드2는 iOS 5.X 탈옥이 되지 않았기 때문에 지원하지 않습니다.


그동안 Siri를 non-iphone4s 기기에서 사용하기 위해서는 서버비용을 부담해야한다는 단점에 비해서 "Spire"는 무료일 뿐만 아니라, iOS 5.0.1 9A406에 램디스크가 비암호화(non-encrypted)되었기에, VFDecrypt Key(iOS 펌웨어 해독을 가능하게 하는 해독키)가 암호화 되지 않았으므로 애플의 저작권을 침해하지도 않습니다. 즉, 탈옥이 합법이듯 Siri 포트도 합법적으로 사용할 수 있습니다.

Grant Paul broke the news on his personal blog moments ago:

Spire is my (along with Ryan Petrich) new tool for installing Siri on previously unsupported, but jailbroken, devices. Spire is a small download, but while installing it will download Siri itself (directly from Apple). Spire is available in Cydia right now — go get it! This will use about 100 MB of data, so please connect to Wi-Fi before installing.

그러나, "Spire" 출시로 non-iphone4s 기기에서 Siri를 자유롭게 사용할 수 있을지는 의문입니다. 애플은 Siri에 대해서 여전히 UDID 인증을 하고 있으며 24시간 마다 재인증을 요구합니다. "Spire"로 인해 전세계 non-iphone4s jailbroker 들이 일제히 서버에 접속한다면, 애플이 이를 모를리도 없고 놔둘리도 없습니다.

Siri 의 용량은 100MB로 "Spire" 설치시 WiFi에 연결할 것을 권장합니다.

 T.B의 SNS 이야기 블로그의 모든 글은 저작권법의 보호를 받습니다. 어떠한 상업적인 이용도 허가하지 않으며, 이용(불펌)허락을 하지 않습니다.

▲ 사전협의 없이 본 콘텐츠(기사, 이미지)의 무단 도용, 전재 및 복제, 배포를 금합니다. 이를 어길 시 민, 형사상 책임을 질 수 있습니다.

▲ 비영리 SNS(트위터, 페이스북 등), 온라인 커뮤니티, 카페 게시판에서는 자유롭게 공유 가능합니다.


T.B의 SNS이야기 소식은 T.B를 팔로윙(@ph_TB) 하시면 실시간으로 트위터를 통해서 제공 받을 수 있습니다.

728x90
반응형
Posted by T.B

댓글을 달아 주세요

  1. 피덜이 2011.12.27 13:21  댓글주소  수정/삭제  댓글쓰기

    아쉽게도 순정이라 시험도 못해보겠군요 ^^;
    완탈이 나올듯 말듯한 시기에 Siri 포트라니.. 반탈이라도 해야 할까요 ?? ㅎㅎ

  2. 또꾸 2011.12.27 14:54  댓글주소  수정/삭제  댓글쓰기

    이시디아를 설치한다고 해서 되는 게 아니라 프록시 서버까지 등록이 되어지고 연결을 해야 하는데 프록시 서버 문제는 어떻게 해결될런지..

  3. MV 2011.12.27 22:02  댓글주소  수정/삭제  댓글쓰기

    Proxy Server에 뭘 입력해야 되는걸까요;;;;
    제 경우는 어머니 폰을 최근 4s로 바꿔드리긴 했지만.. 모르겠네요 ㅎㅎ 여기서 막혀버린

  4. MV 2011.12.27 22:22  댓글주소  수정/삭제  댓글쓰기

    제가 잘못한걸까요.. 5.0.1 정식 파일로 (기존은 5.0 반탈) 올리고, 레드스노우 최근걸로 반탈 시키고 spire 설치하고 재부팅 하니, 시디아가 정상적으로 작동하지 않습니다. 그래서 결국 다시 5.0.1 설치하고 있네요;;

    • BlogIcon T.B 2011.12.27 23:59 신고  댓글주소  수정/삭제

      ;; 일단 완탈부터 해보세요 ㅎㅎ

    • MV 2011.12.28 03:54  댓글주소  수정/삭제

      ㅋㅋ 제가 바보였네요
      완탈이 있는지 모르고.

      항상 폰으로 블로그 들어와서 보다가 간만에 PC로 보니 적응이 안되었네요 ㅎㅎ

      요즘 블로그는 폰으로 보는게 더 편하다니까요 ^^;;

    • BlogIcon T.B 2011.12.28 18:32 신고  댓글주소  수정/삭제

      그러셨군요 ㅎㅎ 완탈/시디아리스트까지 올려놨습니다. 그런데,,, spire 설치하다가 현재 무한사과 상태라는,, 참고하시구요 ㅎㅎ

  5. 알 수 없는 사용자 2012.01.11 13:59  댓글주소  수정/삭제  댓글쓰기

    프록시서버 만들려는데 아이폰4s가 없어요 ㅠㅠ
    못만들고있어요 ......

    • BlogIcon T.B 2012.01.11 14:47 신고  댓글주소  수정/삭제

      집에 아이폰만 5대라(아이폰4 블랙1대, 아이폰4 화이트 3대, 아이폰4S 화이트 1대)vmware로 리눅스 서버 만들어서 돌리기는 했는데 그냥 그걸로 끝이에요. 위치서비스기반 어플 다튕깁니다. 5.1베타3에서 아이패드와 아이팟터치의 Siri 구동지원 얘기가 나오더라구요. 걍 속편하게 기달려보는것도 답일것 같습니다. cf. 뭐 애플직원들이 이번 베타3에서 아이폰4에 Siri를 사용한다는 얘기가 트위터로 돌던데요. 그거 작년 아이폰4S 출시되기 전부터 나왔던 얘기입니다 ㅋ